Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build
Class DeleteBuilds

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.webwork.AbstractAction
                  com.atlassian.bamboo.build.DeleteBuilds

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, ReturnUrlAware

    public class DeleteBuilds

extends AbstractAction

This class provides a UI action to remove one or more build.

Field Summary

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`DeleteBuilds()`

Method Summary
`String` | `doConfirm()`
`String` | `doExecute()` Remove the selected builds
`List` | `getBuildsToConfirm()`
`Collection` | `getProjects()`
`List` | `getProjectsToConfirm()`
`String[]` | `getSelectedBuilds()`
`String[]` | `getSelectedProjects()`
`void` | `setBuildResultsIndexer(BuildResultsIndexer buildResultsIndexer)`
`void` | `setSelectedBuilds(String[] selectedBuilds)` The checkboxes all have the same name, but with different value.
`void` | `setSelectedProjects(String[] selectedProjects)`
`void` | `validate()` Place the user in the page context

Methods inherited from class com.atlassian.bamboo.webwork.AbstractAction
`addFormErrors, doDefault, execute, getAction, getAdministrationConfiguration, getBamboo, getBaseUrl, setAdministrationConfiguration`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Constructor Detail

### DeleteBuilds

    public DeleteBuilds()

Method Detail

### setSelectedBuilds

    public void setSelectedBuilds(String[] selectedBuilds)

  The checkboxes all have the same name, but with different value. Webwork passes all values as a String array list. The values represent the build keys.

  Parameters:
    `selectedBuilds` - The key of the builds that have been seleted for deletion.

### getSelectedBuilds

    public String[] getSelectedBuilds()

### getSelectedProjects

    public String[] getSelectedProjects()

### setSelectedProjects

    public void setSelectedProjects(String[] selectedProjects)

### validate

    public void validate()

  Description copied from class: `AbstractAction`
  Place the user in the page context

  Overrides:
    `validate` in class `AbstractAction`

### doExecute

    public String doExecute()
                     throws Exception

  Remove the selected builds

  Overrides:
    `doExecute` in class `AbstractAction`
  Returns:
    The webwork success status
  Throws:
    `Exception` - A generic failure

### doConfirm

    public String doConfirm()
                     throws Exception

  Throws:
    `Exception`

### getProjects

    public Collection getProjects()

### getBuildsToConfirm

    public List getBuildsToConfirm()

### getProjectsToConfirm

    public List getProjectsToConfirm()

### setBuildResultsIndexer

    public void setBuildResultsIndexer(BuildResultsIndexer buildResultsIndexer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.